/* 
   (c) Copyright 2001-2002  convergence integrated media GmbH.
   (c) Copyright 2002-2005  convergence GmbH.

   All rights reserved.

   Written by Denis Oliver Kropp <dok@directfb.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef __LITE__LITE_INTERNAL_H__
#define __LITE__LITE_INTERNAL_H__

#include <directfb.h>

#include <direct/types.h>
#include <direct/debug.h>

#include "box.h"

extern IDirectFB *lite_dfb;
extern IDirectFBDisplayLayer *lite_layer;

DFBResult lite_load_theme();
DFBResult lite_load_cursor();
void      lite_free_theme();
void      lite_free_cursor();

void      _lite_font_init();

#endif /*  __LITE__LITE_INTERNAL_H__  */
